Subject: Re: 2.6.14 USB vs. sleep issues

From: Benjamin Herrenschmidt <[email-masked]>
Date: Thu, 24 Nov 2005 09:09:18 +1100

On Wed, 2005-11-23 at 22:55 +0100, Gaudenz Steinlin wrote:
> Hi Ben
> 
> Benjamin Herrenschmidt schrieb:
> > The latest patch that is candidate for upstream is:
> 
> I have the same USB wakeup problem with my new powerbook 5,8 (oct 2005 
> 15"). Without the patch I get a kernel oops on wakeup just like the 
> others. With this patch applied (and the pb 5,8 basic enablement patch) 
> the lcd gets distorted colors on wakeup. It looks quite insane, like a 
> broken lcd.
> 
> I'm useing a vanilla 2.6.14.2 kernel. CONFIG_USB_SUSPEND is set, PREEMPT
> is disabled. Is there a newer version of the patch available for testing?

The USB patch has nothing to do with your screen problems. Does the
screen issue goes away after a couple of sleep/wakeup cycles ? i'm
waiting on the same machine model that I just ordered from Apple, so
I'll be able to fix remaining issues soon.

Ben.